﻿using CertificateAutorityServer.Model.Rest;
using CertificateAutorityServer.Service;
using Microsoft.AspNetCore.Mvc;

namespace CertificateAutorityServer.Controllers.Rca
{
    [ApiController]
    [Route("tcrt")]
    public class TrustedCrtController : Controller
    {
        public TrustedCrtController(CertificateService certificateService)
        {
            this.certificateService = certificateService;
        }
        private readonly CertificateService certificateService;

        [HttpGet]
        public IActionResult GetList()
        { 
            return Ok(certificateService.GetTrustedCrts());
        }

        [HttpPost]
        public IActionResult AddTrustedCrt(AddTrustedCertificateReq addTrustedCertificateReq)
        {
            certificateService.AddTrustedCrt(addTrustedCertificateReq.Crt);
            return Ok();
        }

        [HttpPost("check")]
        public async Task<IActionResult> CheckCrtByTrustedCrt(CheckCrtReq checkCrtReq)
        {
            var result = await certificateService.VerifyCrtSignedByTrused(checkCrtReq.Crt);
            return result ? Ok() : Problem();
        }
    }
}
